@import url("/assets/font/Brandon_med.otf");
@font-face {
  font-family: Lobster;
  src: url("/assets/font/Lobster.otf");
}

html,
body {
  box-sizing: border-box;
  background: linear-gradient(to bottom right, #54B0FD 0%, #81D0FD 25%,#ADE8FD 50%,#DBECFA 75%, #F1F4FB 80%);
  font-family: 'raleway', sans-serif;
  margin: 0;
  margin: 0px;
}
@font-face {
  font-family: 'Brandon_med';
  src: url("/assets/font/Brandon_med.otf");
  src: url("/assets/font/Brandon_med.otf") format('embedded-opentype'), url("/assets/font/Brandon_med.otf") format('woff2'), url("/assets/font/Brandon_med.otf") format('woff'), url("/assets/font/Brandon_med.otf") format('truetype'), url("/assets/font/Brandon_med.otf") format('svg');
}
h1,
h3,
span {
  font-family: 'Brandon_med', sans-serif;
}
.gist span {
    font-family: "SFMono-Regular", Consolas, "Liberation Mono", Menlo, Courier, monospace;
}
p {
  line-height: 25px;
  letter-spacing: 0.3px;
}
body {
  padding: 50px 15px;
}
code {
  font-size: 14px;
}
ul{
  list-style: none;
    margin:0 0 10px 0;
}
.js-line-number,.js-file-line{
  font-size:14px !important;
}
.row {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.row > [class*="span"] {
  margin-left: 10px;
}
.row .span4{
  align-self: baseline;
  margin-left: 10px;
}
.row li {
  font-size: 1.3em;
  padding: 3px 0 3px 0;
  line-height: 150%;
}
.row .span14 {
  width: 100%;
  margin: 0;
}
.row .span14 .paragraph-seperate {
  position: relative;
  width: 50px;
  height: 50px;
  margin: 0 auto;
}
.row .span14 .paragraph-seperate:before {
  position: absolute;
  content: "";
  width: 5px;
  height: 35px;
  top: calc(50% - 17px);
  left: calc(50% - 2.5px);
  background-color: #81c1b7;
  transform: rotate(60deg);
}
.row .span14 .paragraph-seperate:after {
  position: absolute;
  content: "";
  width: 5px;
  height: 35px;
  top: calc(50% - 17px);
  left: calc(50% - 2.5px);
  background-color: #81c1b7;
  transform: rotate(-60deg);
}
.container {
  position: relative;
  top: 50px;
}
footer{
  margin-bottom: 30px;
}
.container > footer p {
  text-align: center;
}
.content {
  background-color: #fff;
  padding: 20px;
  margin: 25px -20px 0 -20px;
  -webkit-border-radius: 6px 6px 6px 6px;
  -moz-border-radius: 6px 6px 6px 6px;
  border-radius: 6px 6px 6px 6px;
  -webkit-box-shadow: 0 1px 2px rgba(0,0,0,0.15);
  -moz-box-shadow: 0 1px 2px rgba(0,0,0,0.15);
  box-shadow: 0 1px 2px rgba(0,0,0,0.15);
}
.content p {
  font-size: 1.2em;
}
.logo-header{
  position: absolute;
  top: 0;
  left: 0;
  justify-content: flex-end;
  display: flex;
  width: 100%;
  background-color: transparent;
  flex-direction: row;
}
.logo-container{
  padding:1rem 0px 1rem 0px;
  width:auto;
  display: flex;
  justify-content:flex-end;
}
.logo-container .nav .fa{
  color:#50514f;
  cursor: pointer;
}
.logo-container .nav .fa-logo{
  padding: 0px !important;
}
.logo-header .nav{
  position:relative;
  margin:0px 30px 0px 0px;
}
.logo-header .nav a{
  color:#50514f;
  border:3px solid transparent;
  padding:5px;
  position: relative;
  font-family:"Brandon_med";
}
.logo-header .nav a:after{
  position: absolute;
  content: "";
  height: 5px;
  width: 0%;
  background: white;
  bottom: 0;
  left: 0;
  transition: all .5s ease;
}
.logo-header .nav a:hover:after{
  background: #ffe682;
  width: 100%;
  transition: all .35s ease;
}
.logo-header div>ul a:hover,
.nav a:hover{
  background: transparent;
}
.logo-header div>ul .active>a, .nav .active>a{
  background-color:transparent;
}
.back-img{
  z-index: -2;
  //background: url(https://images.unsplash.com/photo-1458324124043-7803d4fec380?ixlib=rb-0.3.5&q=80&fm=jpg&crop=entropy&s=bcabf46696fabe19abe4992477e11c4f) no-repeat center center fixed;
  height: 60vh;
  background-size: cover;
  color: #50514f;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-family:"Brandon_med";
  min-height: 350px;
}
.back-img h1{
  font-size: 64px;
  font-family:"Brandon_med";
}
.back-img p{
  font-size: 24px;
}
.back-img img{
  width: 200px;
  height: 200px;
  padding-bottom: 20px;
}
.Typing{
  font-size: 20px;
  display: flex;
  flex-direction: row;
  margin-bottom: 10px;
}
.Typing span{
  font-family: "Brandon_med";
}
.about-me{
  border:3px solid #50514f;
  border-radius: 20px;
  text-align: center;
  cursor: pointer;
}
.about-me p{
  font-family: "Lobster";
  padding: 5px 15px;
  margin:0;
}
.Julie-Alert{
  font-family: "Brandon_med";
}
.Julie-Alert h2,button{
  font-family: "Lobster" !important;
}

.page-header {
  background-color: #f5f5f5;
  padding: 20px 20px 10px;
  margin: 10px -20px 20px;
}
.page-header h1 {
  font-size: 2.5em;
}
.page-header span {
  padding-left: 5px;
  font-size: 1.2em;
}
.topbar {
  display: none;
  width: 100%;
  height: 70px;
  background-color: transparent;
}
.topbar .fill {
  width: 100%;
  height: 70px;
  background-color: transparent;
  background-image: none;
  -webkit-transition: height 0.4s ease;
  transition: height 0.4s ease;
  display: flex;
  -webkit-box-shadow:none;
  box-shadow: none;
  display:none;
  animation: navbarHide .3s ease;
}
.topbar .bar-container{
  display: flex;
  justify-content: flex-start;
}
.topbar .topbar-topic h1{
  display: inline-block;
  position: relative;
  font-family: "Brandon_med";
  color: #e45d5a;
  font-size: 24px;
  text-align: center;
  margin:6px;
}
.topbar .topbar-topic span{
  vertical-align: middle;
}

@keyframes navbarHide{
  0%{
    display: block;
    opacity: 1;
  }
  100%{
    opacity: 0;
    height: 50px;
  }
}

.topbar .fill.shrink {
  background-color: rgba(255,230,130,1);
  height: 50px;
  -webkit-transition: height 0.4s ease;
  transition: height 0.4s ease;
  display: block;
  opacity: 1;
  animation: navbarShow .5s ease;
}
@keyframes navbarShow{
  0%{
    display: block;
    height: 10px;
  }
  1%{
    opacity: 0;
  }
  50%{
    opacity: .5;
  }
  100%{
    opacity: 1;
    height: 50px;
  }
}

.topbar .fill.shrink img {
  width: 40px;
  height: 40px;
}
.topbar .brand {
  width: 200px;
  font-size: 2em;
  color: #373836;
  padding: 0px 0px 5px;
  margin-left: 30px;
  box-shadow: 0;
  transition: all 0.3s ease;
}
.topbar .brand:hover {
  color: #fff;
  transition: all 0.3s ease;
  background-color: transparent;
  text-decoration: none;
  outline: none;
}
.topbar .brand span {
  line-height: 80px;
  padding-left: 5px;
}
.topbar .btn {
  border: 0;
}
.topbar a {
  text-shadow: none;
}
.topbar ul li a {
  color: #50514f;
}
.topbar div > ul .active > a {
  background-color: #50514f;
}
.topbar img {
  display: inline-block;
  width: 60px;
  height: 60px;
  float: left;
  margin-top: 5px;
  transition: all 0.4s ease;
}
.topbar div>ul,
.nav {
  float:right;
  margin: 10px 30px 0px 0px;
}
.topbar div>ul>li,
.nav>li {
  font-size: 1.3em;
  margin-top: 10px;
  padding-left: 5px;
}
/*.topbar div>ul .active>a,
.nav .active>a,
a:hover,
.nav a:hover {
  border-radius: 5px;
}
.topbar div>ul a:hover,
.nav a:hover {
  background-color: rgba(80,81,79,0.4);
  transition: all 0.3s ease;
}*/
.tag_box {
  list-style: none;
  margin: 0;
  padding: 5px 0;
  overflow: hidden;
}
.tag_box li {
  line-height: 28px;
}
.tag_box.inline li {
  float: left;
}
.tag_box a {
  padding: 3px 6px;
  margin: 2px;
  background: #eee;
  color: #005f6b;
  border-radius: 3px;
  text-decoration: none;
  font-size: 1.2em;
}
.tag_box a span {
  vertical-align: super;
  font-size: 0.8em;
}
.tag_box a.active {
  background: #57a957;
  border: 1px solid #4c964d;
  color: #fff;
}
.row .span14 h2,
.row .span10 h2 {
  font-size: 1.65em;
}
.row .span14 h3,
.row .span10 h3 {
  font-size: 1.5em;
}
blockquote p {
  width: 100%;
  line-height: 30px;
  letter-spacing: 0.3px;
}
.posts {
  list-style: none;
  padding-bottom: 50px;
}
.posts img{
  max-width:500px;
  max-height:250px;
  margin: 0 auto;
}
.posts > li {
  margin-top: 20px;
  min-height: 80px;
  border-bottom: 1px solid #e3e3e3;
}
.posts a {
  text-decoration: none;
}
.posts li {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.posts li section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 25px;
}
.posts .tags {
  margin-left: 0;
  padding-bottom: 5px;
  text-align: center;
}
.posts .tags li {
  margin-bottom: 10px;
  margin-right: 10px;
  padding: 3px 7px 3px 7px;
  font-size: 0.8em;
  position: relative;
  border-radius: 5px;
  display: inline-block;
  background-color: #ffe682;
}
.posts .tags li a {
  color: #50514f;
}
.posts .tags span {
  font-size: 0.9em;
  font-style: italic;
}
.posts .tags .tag:after {
  content: " ";
  display: block;
  width: 0;
  height: 0;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-left: 8px solid #ffe682;
  position: absolute;
  right: -7px;
  top: 6.5px;
}
.post-info {
  margin: 0 0 20px 0;
}
.post-info a {
  color: #50514f;
  font-size: 1.6em;
  transition: all 0.3s ease;
}
.post-info a:hover {
  color: #34abc9;
  transition: all 0.3s ease;
}
#disqus_thread,
#dsq-app5 {
  display: none;
}
.pagination {
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;


}
.pagination span{
    align-self: center;
    margin-left: 10px;
    margin-top: 3px;
  }
/* ===== about me ===== */
.info-content {
  display: flex;
  flex-direction: column;
  margin: 50px auto;
  width: 80%;
  height: auto;
}
.info-content .intro-box {
  font-family: "Raleway";
  text-align: center;
  width: 100%;
  min-height: 250px;
  border:4px solid rgba(228, 93, 90,.5);
  border-radius: 5px;
  margin-bottom: 30px;
}
.info-content .intro-box:nth-child(2n) {
  background-color: #e5e5e5;
}
.info-content .intro-box .title {
  margin: 20px 0 0 0;
  padding: 0;
  position: relative;
  font-family: 'Brandon_med';
  font-size: 24px;
}
.info-content .intro-box .title:after {
  content: "";
  position: absolute;
  bottom: -30px;
  left: calc(50% - 10px);
  width: 20px;
  height: 3px;
  background-color: #6b6b6b;
}
.info-content .intro-box .job-time {
  font-size: 0.8em;
  font-family: "Raleway";
  letter-spacing: 3px;
}
.info-content .intro-box .mention {
  margin-top: 30px;
  color: #50514f;
}

.info-content .intro-box .demo-effect {
  margin: 0 auto 30px auto;
  position: relative;
  overflow: hidden;
  min-width: 320px;
  max-width: 480px;
  max-height: 360px;
  cursor: pointer;
  transition: all 0.3s ease;
  border: 1px solid transparent;
  border-radius: 5px;
  overflow: hidden;
}
.info-content .intro-box .demo-effect:after {
  opacity: 0;
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: all 0.3s ease;
  border: 1px solid transparent;
  border-radius: 10px;
  background-color: rgba(0,0,0,0.25);
}
.info-content .intro-box .demo-effect:hover:after {
  opacity: 1;
  transition: all 0.3s ease;
}
.info-content .intro-box .demo-effect:hover > button {
  opacity: 1;
  margin-top: 0px;
  transition: all 0.5s ease;
}
.info-content .intro-box .demo-effect:hover > button:after {
  width: 125%;
  left: -10px;
  transition: all 0.25s ease 0.25s;
}
.info-content .intro-box .demo-effect button {
  position: absolute;
  z-index: 999;
  opacity: 0;
  top: calc(50% - 20px);
  left: calc(50% - 40px);
  margin-top: 30px;
  padding: 15px 30px 15px 30px;
  border: 2px solid #fff;
  border-radius: 5px;
  color: #fff;
  background-color: transparent;
  font-size: 15px;
  font-weight: 400;
  outline: none;
  cursor: pointer;
  transition: all 0.2s ease;
  overflow: hidden;
}
.info-content .intro-box .demo-effect button:after {
  position: absolute;
  transition: 0.25s;
  content: '';
  width: 0;
  left: -10%;
  height: 120%;
  bottom: 0;
  transform: skewX(15deg);
  z-index: -1;
  background: #FFDD59;
}
.info-content .intro-box .demo-effect img {
  position: relative;
  min-width: 100%;
  min-height: 100%;
  display: block;
  opacity: 0.8;
  overflow: hidden;
}



/* ===== about tab ===== */
.about-tabs {
  font-family: 'Lato', sans-serif;
  margin: 0 auto;
  font-family: "Lato";
  width: 95%;
  text-align: center;
  font-weight: 300;
  font-style: normal;
}
.about-tabs label {
  text-align: center;
}
.about-tabs .tabs-state {
  display: none;
}
.about-tabs .flex-tabs {
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  -ms-flex-pack: justify;
  justify-content: space-between;
}
.about-tabs .flex-tabs .about-tab {
  -webkit-box-flex: 1;
  -webkit-flex-grow: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}
.about-tabs .about-tab {
  padding: 20px 10px;
  background-color: #fff;
  color: #999cab;
  font-size: 16px;
  cursor: pointer;
  border-bottom: 1px solid #e5e6ea;
  font-weight: 400;
  z-index: 1;
}
.panel-content .panel {
  font-family: "Lato";
  margin-top: -6px;
  padding-top: 20px;
  padding-left: 20px;
  border: 1px solid #e5e6ea;
  display: none;
}
.panel:first-of-type {
  padding-left: 0;
}
.panel:last-of-type {
  padding-bottom: 20px;
}

@media (max-width: 768px) {
  body{
    padding-top: 70px;
  }
  .back-img h1{
    font-size: 48px;
  }
  .back-img img{
    width: 150px;
    height: 150px;
  }
  .logo-header .nav{
    //margin: 0 auto;
  }
  .page-header h1 {
    font-size: 2.3em;
  }
  .topbar .brand {
    font-size: 1.5em;
    margin-left: 20px;
  }
  .topbar img {
    padding-left: 10px;
  }
  .topbar .nav {
    display: none;
  }
  .row ul {
    margin: 0 0 10px 0px;
  }
  .row .post-info {
    margin: 0 0 20px 0;
  }
  blockquote{
    padding: 0 0 0 10px;
    border-width: 3px;
  }
  blockquote p {
    width: 100%;
  }
  .posts a {
    font-size: 1.2em;
    text-decoration: none;
  }
  .posts img{
    max-width: 100%;
    height:auto;
    margin: 0 auto;
  }
  .posts .tags span {
    font-size: 0.8em;
  }

  .info-content {
    width: 100%;
  }

}

@media (max-width: 384px) {
  body{
    padding-top: 70px;
  }
  .back-img h1{
    font-size: 48px;
  }
  .back-img img{
    width: 120px;
    height: 120px;
  }
  .info-content .mention {
    font-size: 0.95em;
  }
 .posts img{
    max-width:280px;
    max-height:140px;
    margin: 0 auto;
  }
  .info-content .intro-box .demo-effect {
    min-width: 240px;
    max-width: 300px;
    max-height: 210px;
  }
}
